# TMCExtensibleArray< T > Class Template Reference

Inheritance diagram for TMCExtensibleArray< T >:

List of all members.

## Public Member Functions
| TMCExtensibleArray (int32 elemCount, int32 logMaxElemCount, int32 logGrowsize, boolean zeroMem)
| ~TMCExtensibleArray ()
| TMCExtensibleArray (const TMCExtensibleArray &array)
void | AddElem (const T &data)
void | RemoveLastElem ()
T & | operator[] (int32 i)
const T & | operator[] (int32 i) const
void | SetElemCount (int32 elemCount, boolean zeroMem)
int32 | GetElemCount (void) const
int32 | GetLogMaxElemCount () const
int32 | GetLogGrowSize () const
## Protected Attributes
const int32 | fLogMaxElemCount
const int32 | fLogGrowSize
const int32 | fMask
const boolean | fZeroMem
int32 | fElemCount
TMCCountedPtrArray < TMCCountedBlock< T > > | fData
TMCPtrArray< T > | fIndex

### template<class T>
class TMCExtensibleArray< T >

## Constructor & Destructor Documentation

template<class T >

TMCExtensibleArray< T >::TMCExtensibleArray | ( | int32 | elemCount,
|  | int32 | logMaxElemCount,
|  | int32 | logGrowsize,
|  | boolean | zeroMem |
| ) |  |  | `[inline]`

template<class T >

TMCExtensibleArray< T >::~TMCExtensibleArray | ( |  | ) | `[inline]`

template<class T >

TMCExtensibleArray< T >::TMCExtensibleArray | ( | const TMCExtensibleArray< T > & | array | ) | `[inline]`

## Member Function Documentation

template<class T >

void TMCExtensibleArray< T >::AddElem | ( | const T & | data | ) | `[inline]`

template<class T >

int32 TMCExtensibleArray< T >::GetElemCount | ( | void |  | ) | const`[inline]`

template<class T >

int32 TMCExtensibleArray< T >::GetLogGrowSize | ( |  | ) | const`[inline]`

template<class T >

int32 TMCExtensibleArray< T >::GetLogMaxElemCount | ( |  | ) | const`[inline]`

template<class T >

const T & TMCExtensibleArray< T >::operator[] | ( | int32 | i | ) | const`[inline]`

template<class T >

T & TMCExtensibleArray< T >::operator[] | ( | int32 | i | ) | `[inline]`

template<class T >

void TMCExtensibleArray< T >::RemoveLastElem | ( |  | ) | `[inline]`

template<class T >

void TMCExtensibleArray< T >::SetElemCount | ( | int32 | elemCount,
|  | boolean | zeroMem |
| ) |  |  |

## Member Data Documentation

template<class T >

TMCCountedPtrArray< TMCCountedBlock<T> > TMCExtensibleArray< T >::fData`[protected]`

template<class T >

int32 TMCExtensibleArray< T >::fElemCount`[protected]`

template<class T >

TMCPtrArray<T> TMCExtensibleArray< T >::fIndex`[protected]`

template<class T >

const int32 TMCExtensibleArray< T >::fLogGrowSize`[protected]`

template<class T >

const int32 TMCExtensibleArray< T >::fLogMaxElemCount`[protected]`

template<class T >

const int32 TMCExtensibleArray< T >::fMask`[protected]`

template<class T >

const boolean TMCExtensibleArray< T >::fZeroMem`[protected]`

The documentation for this class was generated from the following file:

- MCExtensibleArray.h